> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dataset

> Delete a Dataset. Requires PermanentDelete access to the Dataset



## OpenAPI

````yaml /api-specs/cloud/public-api.json delete /api/datasetrw/v1/datasets/{datasetId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/datasetrw/v1/datasets/{datasetId}:
    delete:
      tags:
        - Datasets
      summary: Delete Dataset
      description: Delete a Dataset. Requires PermanentDelete access to the Dataset
      operationId: deleteDataset
      parameters:
        - description: ID of the Dataset to delete
          in: path
          name: datasetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetRwEnvelopeV1'
          description: Success
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    DatasetRwEnvelopeV1:
      properties:
        dataset:
          $ref: '#/components/schemas/DatasetRwDetailsV1'
        metadata:
          $ref: '#/components/schemas/MetadataV1'
      required:
        - dataset
        - metadata
      type: object
    DatasetRwDetailsV1:
      properties:
        createdAt:
          description: When the Dataset was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: A description of the Dataset
          type: string
        id:
          description: ID of the Dataset
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the Dataset
          example: My Dataset
          type: string
        projectId:
          description: ID of the project this Dataset belongs to
          example: 62313ce67a0af0281c01a6a5
          type: string
        snapshotIds:
          description: List of Snapshot IDs belonging to this Dataset
          items:
            type: string
          type: array
        tags:
          $ref: '#/components/schemas/DatasetRwTagsV1'
      required:
        - id
        - name
        - createdAt
        - snapshotIds
        - tags
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    DatasetRwTagsV1:
      additionalProperties:
        type: string
      description: A map of tagName -> snapshotId
      example:
        bar: 62313ce67a0af0281c01a6a5
        foo: 62313ce67a0af0281c01a6a5
      type: object
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Datasets administration](/cloud/admin/data-administration/datasets.md)
- [Create and manage Datasets](/cloud/platform-capabilities/core-concepts/data/datasets/create-and-manage-datasets.md)
- [Work with roles](/cloud/admin/identity-and-access/manage-users/roles/index.md)
- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
